﻿@model MIMS.Portal.ViewModels.BankAccount.BankAccountIndexViewModel
@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.ValueObjects.Enum;

@{
    ViewData["PageTitle"] = "حساب‌های بانکی";
}



<!-- stats -->
<section>
    <div class="row" data-title="گجت ها" data-intro="گجت های نمایش دهنده خلاصه اطلاعات مرتبط">
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب ثبت شده" data-intro="تعداد حساب بانکی ثبت شده">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="cyan">
                                @Model.Stats.Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="" class="icon-filter2 text-muted"></a> ثبت شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-birdpen cyan font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب منتظر بررسی" data-intro="تعداد حساب بانکی منتظر بررسی">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="orange">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Pending.ToString()" class="icon-filter2 text-muted"></a> منتظر بررسی</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-judicialgavel orange font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="green">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Approved.ToString()" class="icon-filter2 text-muted"></a> تایید شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-check-circle-o green font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="red">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Rejected.ToString()" class="icon-filter2 text-muted"></a> رد شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-times-circle-o red font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
<!--/ stats -->

@if (User.IsInRole("Admin"))
{
    <partial name="_SearchFiltersPartial" for="@Model.Filters" />
}

<section>
    <div class="card">
        <div class="card-header">
            <h5 class="card-title">
                فهرست
            </h5>
            <div class="clearfix"></div>
        </div>
        <div class="card-body">

            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().MerchantFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().MerchantNationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().BankId)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().BankBranchCode)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().AccountNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().AccountIban)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().AccountHolderFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().Status)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccounts.FirstOrDefault().ReviewComment)</th>
                                <th hidden><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.BankAccounts)
                            {
                                <tr>
                                    <td><a asp-action="Details" asp-controller="Merchants" asp-route-id="@item.MerchantId" asp-fragment="bank-accounts" class="fa fa-fw fa-external-link ml-0" target="_blank"></a>&nbsp;
                                    @item.MerchantFullName</td>
                                    <td>@item.MerchantNationalCode</td>
                                    <td>@item.BankName</td>
                                    <td>@item.BankBranchCode</td>
                                    <td>@item.AccountNumber</td>
                                    <td>@item.AccountIban</td>
                                    <td>@item.AccountHolderFullName</td>
                                    <td>
                                        @{
                                            var statusColor = "default";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending)
                                                statusColor = "warning";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved)
                                                statusColor = "info";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved)
                                                statusColor = "success";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected)
                                                statusColor = "danger";
                                        }

                                        <i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)
                                    </td>
                                    <td>@item.ReviewComment</td>
                                    <td align="center" hidden>
                                        <a asp-action="Details" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-default disabled disabled-link" data-toggle="tooltip" title="جزئیات"><i class="fa fa-fw fa-eye"></i></a>
                                        <a asp-action="Edit" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-default disabled disabled-link"><i class="fa fa-edit"></i></a>
                                        <a asp-action="Delete" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-default disabled disabled-link"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>

